FROM golang:1.9

WORKDIR /go/src

COPY . .

WORKDIR ./nbarest

ENV GOPATH=/go

RUN go get "github.com/gorilla/mux"
RUN go get "gopkg.in/mgo.v2"
RUN CGO_ENABLED=0 GOOS=linux go build  -o /nbaservice ./nbaservice



EXPOSE 8181

CMD ["/nbaservice"]